groovy-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Paul King (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (GROOVY-8162) Update Groovysh to JLine3
Date Sun, 23 Apr 2017 08:47:04 GMT

    [ https://issues.apache.org/jira/browse/GROOVY-8162?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15980326#comment-15980326
] 

Paul King commented on GROOVY-8162:
-----------------------------------

Good idea. My understanding is that jline3 requires jdk8. So this would be for master branch
only.
We might be able to get some inspiration from the maven shell upgrade to jline3:
https://github.com/jdillon/gshell/pull/8

> Update Groovysh to JLine3
> -------------------------
>
>                 Key: GROOVY-8162
>                 URL: https://issues.apache.org/jira/browse/GROOVY-8162
>             Project: Groovy
>          Issue Type: Improvement
>          Components: Groovysh
>            Reporter: Pascal Schumacher
>
> Groovysh currently uses https://github.com/jline/jline2 which is no longer supported.
It should be updated to use https://github.com/jline/jline3



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message